.building-info-section {
    height: 100vh;
    min-height: 1000px;
    position: relative;
    background-color: var(--black);
}

.building-info__background-image-wrapper {
    border-radius: 64px 64px 0px 0px;
    overflow: hidden;
    height: 100%;
    width: 100%;
    position: absolute;
    
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        object-position: center;
    }
}

.building-info__overlay {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.8), 65%, rgba(255, 255, 255, 0.2) 100%);
    position: absolute;
    border-radius: 64px 64px 0px 0px;
    width: 100%;
    height: 100%;
}

.liquid-glass-wrapper--building-info-heading {
    width: 10rem;
    height: 2.63rem;

    .glass-text-bar__text-wrapper {
        width: 100%;
        justify-content: center;
    }
}

.building-info__heading {
    font-size: 1rem;
    font-weight: 700;
}

.building-info__content-container {
    top: 190.7px;
    height: auto;
    position: absolute;
    position: relative;
}

.building-info__text-wrapper {
    margin-top: 2.5rem;
    color: white;
    max-width: 23rem;
}

.building-info__text {
    line-height: normal;
}

.building-info__text--subtitle {
    font-weight: 700;
    margin-bottom: 1rem;
}

.building-info__location-section-transition-element {
    width: 100%;
    height: 50px;
    background-color: white;
    position: absolute;
    bottom: 0;
    left: 0;
    border-radius: 64px 64px 0 0;
    z-index: 10;
}

/* mobile styles */
@media (max-width: 806px) {
    .building-info-section {
        min-height: 777px;
    }

    .building-info__content-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .building-info__text-wrapper {
        max-width: none;
    }
}